diff --git a/libavformat/mov.c b/libavformat/mov.c
index d19b213ffa..e006e77338 100644
--- a/libavformat/mov.c
+++ b/libavformat/mov.c
@@ -799,21 +810,21 @@ static int mov_read_hdlr(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     av_log(c->fc, AV_LOG_TRACE, "stype=%s\n", av_fourcc2str(type));
 
     if (c->trak_index < 0) {  // meta not inside a trak
-        if (type == MKTAG('m','d','t','a')) {
+        if (type == MKTAG('m', 'd', 't', 'a')) {
             c->found_hdlr_mdta = 1;
         }
         return 0;
     }
 
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
-    if     (type == MKTAG('v','i','d','e'))
+    if (type == MKTAG('v', 'i', 'd', 'e'))
         st->codecpar->codec_type = AVMEDIA_TYPE_VIDEO;
-    else if (type == MKTAG('s','o','u','n'))
+    else if (type == MKTAG('s', 'o', 'u', 'n'))
         st->codecpar->codec_type = AVMEDIA_TYPE_AUDIO;
-    else if (type == MKTAG('m','1','a',' '))
+    else if (type == MKTAG('m', '1', 'a', ' '))
         st->codecpar->codec_id = AV_CODEC_ID_MP2;
-    else if ((type == MKTAG('s','u','b','p')) || (type == MKTAG('c','l','c','p')))
+    else if ((type == MKTAG('s', 'u', 'b', 'p')) || (type == MKTAG('c', 'l', 'c', 'p')))
         st->codecpar->codec_type = AVMEDIA_TYPE_SUBTITLE;
 
     avio_rb32(pb); /* component  manufacture */
@@ -822,7 +833,7 @@ static int mov_read_hdlr(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     title_size = atom.size - 24;
     if (title_size > 0) {
-        if (title_size > FFMIN(INT_MAX, SIZE_MAX-1))
+        if (title_size > FFMIN(INT_MAX, SIZE_MAX - 1))
             return AVERROR_INVALIDDATA;
         title_str = av_malloc(title_size + 1); /* Add null terminator */
         if (!title_str)
@@ -845,27 +856,27 @@ static int mov_read_hdlr(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_esds(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_esds(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     return ff_mov_read_esds(c->fc, pb);
 }
 
-static int mov_read_dac3(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_dac3(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    AVPacketSideData *sd;
-    enum AVAudioServiceType *ast;
+    AVStream* st;
+    AVPacketSideData* sd;
+    enum AVAudioServiceType* ast;
     int ac3info, acmod, lfeon, bsmod;
     uint64_t mask;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     sd = av_packet_side_data_new(&st->codecpar->coded_side_data,
-                                 &st->codecpar->nb_coded_side_data,
-                                 AV_PKT_DATA_AUDIO_SERVICE_TYPE,
-                                 sizeof(*ast), 0);
+        &st->codecpar->nb_coded_side_data,
+        AV_PKT_DATA_AUDIO_SERVICE_TYPE,
+        sizeof(*ast), 0);
     if (!sd)
         return AVERROR(ENOMEM);
 
@@ -889,14 +900,14 @@ static int mov_read_dac3(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 }
 
 #if CONFIG_IAMFDEC
-static int mov_read_iacb(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_iacb(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
     FFIOContext b;
-    AVIOContext *descriptor_pb;
-    AVDictionary *metadata;
-    IAMFContext *iamf;
+    AVIOContext* descriptor_pb;
+    AVDictionary* metadata;
+    IAMFContext* iamf;
     int64_t start_time, duration;
     unsigned descriptors_size;
     int nb_frames, disposition;
@@ -911,7 +922,7 @@ static int mov_read_iacb(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     version = avio_r8(pb);
     if (version != 1) {
         av_log(c->fc, AV_LOG_ERROR, "%s configurationVersion %d",
-               version < 1 ? "invalid" : "unsupported", version);
+            version < 1 ? "invalid" : "unsupported", version);
         return AVERROR_INVALIDDATA;
     }
 
@@ -956,9 +967,9 @@ static int mov_read_iacb(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     disposition = st->disposition;
 
     for (int i = 0; i < iamf->nb_audio_elements; i++) {
-        IAMFAudioElement *audio_element = iamf->audio_elements[i];
-        const AVIAMFAudioElement *element;
-        AVStreamGroup *stg =
+        IAMFAudioElement* audio_element = iamf->audio_elements[i];
+        const AVIAMFAudioElement* element;
+        AVStreamGroup* stg =
             avformat_stream_group_create(c->fc, AV_STREAM_GROUP_PARAMS_IAMF_AUDIO_ELEMENT, NULL);
 
         if (!stg) {
@@ -973,14 +984,15 @@ static int mov_read_iacb(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         audio_element->element = NULL;
 
         for (int j = 0; j < audio_element->nb_substreams; j++) {
-            IAMFSubStream *substream = &audio_element->substreams[j];
-            AVStream *stream;
+            IAMFSubStream* substream = &audio_element->substreams[j];
+            AVStream* stream;
 
             if (!i && !j) {
                 if (audio_element->layers[0].substream_count != 1)
                     disposition &= ~AV_DISPOSITION_DEFAULT;
                 stream = st;
-            } else
+            }
+            else
                 stream = avformat_new_stream(c->fc, NULL);
             if (!stream) {
                 ret = AVERROR(ENOMEM);
@@ -1023,9 +1035,9 @@ static int mov_read_iacb(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     }
 
     for (int i = 0; i < iamf->nb_mix_presentations; i++) {
-        IAMFMixPresentation *mix_presentation = iamf->mix_presentations[i];
-        const AVIAMFMixPresentation *mix = mix_presentation->cmix;
-        AVStreamGroup *stg =
+        IAMFMixPresentation* mix_presentation = iamf->mix_presentations[i];
+        const AVIAMFMixPresentation* mix = mix_presentation->cmix;
+        AVStreamGroup* stg =
             avformat_stream_group_create(c->fc, AV_STREAM_GROUP_PARAMS_IAMF_MIX_PRESENTATION, NULL);
 
         if (!stg) {
@@ -1040,15 +1052,15 @@ static int mov_read_iacb(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         mix_presentation->mix = NULL;
 
         for (int j = 0; j < mix->nb_submixes; j++) {
-            const AVIAMFSubmix *submix = mix->submixes[j];
+            const AVIAMFSubmix* submix = mix->submixes[j];
 
             for (int k = 0; k < submix->nb_elements; k++) {
-                const AVIAMFSubmixElement *submix_element = submix->elements[k];
-                const AVStreamGroup *audio_element = NULL;
+                const AVIAMFSubmixElement* submix_element = submix->elements[k];
+                const AVStreamGroup* audio_element = NULL;
 
                 for (int l = 0; l < c->fc->nb_stream_groups; l++)
                     if (c->fc->stream_groups[l]->type == AV_STREAM_GROUP_PARAMS_IAMF_AUDIO_ELEMENT &&
-                        c->fc->stream_groups[l]->id   == submix_element->audio_element_id) {
+                        c->fc->stream_groups[l]->id == submix_element->audio_element_id) {
                         audio_element = c->fc->stream_groups[l];
                         break;
                     }
@@ -1075,56 +1087,22 @@ fail:
 }
 #endif
 
-static int mov_read_srat(MOVContext *c, AVIOContext *pb, MOVAtom atom)
-{
-    AVStream *st;
-    int32_t sample_rate;
-
-    if (atom.size < 8 || c->fc->nb_streams < 1)
-        return 0;
-
-    st = c->fc->streams[c->fc->nb_streams-1];
-    if (st->codecpar->codec_type != AVMEDIA_TYPE_AUDIO) {
-        av_log(c->fc, AV_LOG_WARNING, "'srat' within non-audio sample entry, skip\n");
-        return 0;
-    }
-
-    if (!c->isom) {
-        av_log(c->fc, AV_LOG_WARNING, "'srat' within non-isom, skip\n");
-        return 0;
-    }
-
-    avio_skip(pb, 4); // version+flags
-    sample_rate = avio_rb32(pb);
-    if (sample_rate > 0) {
-        av_log(c->fc, AV_LOG_DEBUG,
-               "overwrite sample rate from %d to %d by 'srat'\n",
-               st->codecpar->sample_rate, sample_rate);
-        st->codecpar->sample_rate = sample_rate;
-    } else {
-        av_log(c->fc, AV_LOG_WARNING,
-               "ignore invalid sample rate %d in 'srat'\n", sample_rate);
-    }
-
-    return 0;
-}
-
-static int mov_read_dec3(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_dec3(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    AVPacketSideData *sd;
-    enum AVAudioServiceType *ast;
+    AVStream* st;
+    AVPacketSideData* sd;
+    enum AVAudioServiceType* ast;
     int eac3info, acmod, lfeon, bsmod;
     uint64_t mask;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     sd = av_packet_side_data_new(&st->codecpar->coded_side_data,
-                                 &st->codecpar->nb_coded_side_data,
-                                 AV_PKT_DATA_AUDIO_SERVICE_TYPE,
-                                 sizeof(*ast), 0);
+        &st->codecpar->nb_coded_side_data,
+        AV_PKT_DATA_AUDIO_SERVICE_TYPE,
+        sizeof(*ast), 0);
     if (!sd)
         return AVERROR(ENOMEM);
 
@@ -1136,8 +1114,8 @@ static int mov_read_dec3(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     avio_rb16(pb); /* data_rate and num_ind_sub */
     eac3info = avio_rb24(pb);
     bsmod = (eac3info >> 12) & 0x1f;
-    acmod = (eac3info >>  9) & 0x7;
-    lfeon = (eac3info >>  8) & 0x1;
+    acmod = (eac3info >> 9) & 0x7;
+    lfeon = (eac3info >> 8) & 0x1;
 
     mask = ff_ac3_channel_layout_tab[acmod];
     if (lfeon)
@@ -1152,11 +1130,11 @@ static int mov_read_dec3(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_ddts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_ddts(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
 #define DDTS_SIZE 20
     uint8_t buf[DDTS_SIZE + AV_INPUT_BUFFER_PADDING_SIZE];
-    AVStream *st = NULL;
+    AVStream* st = NULL;
     uint32_t frame_duration_code = 0;
     uint32_t channel_layout_code = 0;
     GetBitContext gb;
@@ -1170,7 +1148,7 @@ static int mov_read_ddts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     if (c->fc->nb_streams < 1) {
         return 0;
     }
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     st->codecpar->sample_rate = get_bits_long(&gb, 32);
     if (st->codecpar->sample_rate <= 0) {
@@ -1185,33 +1163,33 @@ static int mov_read_ddts(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     channel_layout_code = get_bits(&gb, 16);
 
     st->codecpar->frame_size =
-            (frame_duration_code == 0) ? 512 :
-            (frame_duration_code == 1) ? 1024 :
-            (frame_duration_code == 2) ? 2048 :
-            (frame_duration_code == 3) ? 4096 : 0;
+        (frame_duration_code == 0) ? 512 :
+        (frame_duration_code == 1) ? 1024 :
+        (frame_duration_code == 2) ? 2048 :
+        (frame_duration_code == 3) ? 4096 : 0;
 
     if (channel_layout_code > 0xff) {
         av_log(c->fc, AV_LOG_WARNING, "Unsupported DTS audio channel layout\n");
     }
     av_channel_layout_uninit(&st->codecpar->ch_layout);
     av_channel_layout_from_mask(&st->codecpar->ch_layout,
-            ((channel_layout_code & 0x1) ? AV_CH_FRONT_CENTER : 0) |
-            ((channel_layout_code & 0x2) ? AV_CH_FRONT_LEFT : 0) |
-            ((channel_layout_code & 0x2) ? AV_CH_FRONT_RIGHT : 0) |
-            ((channel_layout_code & 0x4) ? AV_CH_SIDE_LEFT : 0) |
-            ((channel_layout_code & 0x4) ? AV_CH_SIDE_RIGHT : 0) |
-            ((channel_layout_code & 0x8) ? AV_CH_LOW_FREQUENCY : 0));
+        ((channel_layout_code & 0x1) ? AV_CH_FRONT_CENTER : 0) |
+        ((channel_layout_code & 0x2) ? AV_CH_FRONT_LEFT : 0) |
+        ((channel_layout_code & 0x2) ? AV_CH_FRONT_RIGHT : 0) |
+        ((channel_layout_code & 0x4) ? AV_CH_SIDE_LEFT : 0) |
+        ((channel_layout_code & 0x4) ? AV_CH_SIDE_RIGHT : 0) |
+        ((channel_layout_code & 0x8) ? AV_CH_LOW_FREQUENCY : 0));
 
     return 0;
 }
 
-static int mov_read_chan(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_chan(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     if (atom.size < 16)
         return 0;
@@ -1224,23 +1202,23 @@ static int mov_read_chan(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return 0;
 }
 
-static int mov_read_chnl(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_chnl(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int64_t end = av_sat_add64(avio_tell(pb), atom.size);
     int version, flags;
     int ret;
-    AVStream *st;
+    AVStream* st;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     version = avio_r8(pb);
-    flags   = avio_rb24(pb);
+    flags = avio_rb24(pb);
     if (version != 0 || flags != 0) {
         av_log(c->fc, AV_LOG_ERROR,
-               "Unsupported 'chnl' box with version %d, flags: %#x",
-               version, flags);
+            "Unsupported 'chnl' box with version %d, flags: %#x",
+            version, flags);
         return AVERROR_INVALIDDATA;
     }
 
@@ -1250,20 +1228,20 @@ static int mov_read_chnl(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (avio_tell(pb) != end) {
         av_log(c->fc, AV_LOG_WARNING, "skip %" PRId64 " bytes of unknown data inside chnl\n",
-                end - avio_tell(pb));
+            end - avio_tell(pb));
         avio_seek(pb, end, SEEK_SET);
     }
     return ret;
 }
 
-static int mov_read_wfex(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_wfex(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
+    AVStream* st;
     int ret;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
 
     if ((ret = ff_get_wav_header(c->fc, pb, st->codecpar, atom.size, 0)) < 0)
         av_log(c->fc, AV_LOG_WARNING, "get_wav_header failed\n");
@@ -1271,25 +1249,25 @@ static int mov_read_wfex(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     return ret;
 }
 
-static int mov_read_clap(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_clap(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
-    AVStream *st;
-    HEIFItem *item;
-    AVPacketSideData *sd;
+    AVStream* st;
+    HEIFItem* item;
+    AVPacketSideData* sd;
     int width, height, err = 0;
     AVRational aperture_width, aperture_height, horiz_off, vert_off;
     AVRational pc_x, pc_y;
     uint64_t top, bottom, left, right;
 
-    item = get_heif_item(c, c->cur_item_id);
+    item = heif_cur_item(c);
     st = get_curr_st(c);
     if (!st)
         return 0;
 
-    width  = st->codecpar->width;
+    width = st->codecpar->width;
     height = st->codecpar->height;
     if ((!width || !height) && item) {
-        width  = item->width;
+        width = item->width;
         height = item->height;
     }
     if (!width || !height) {
@@ -1297,55 +1275,55 @@ static int mov_read_clap(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         goto fail;
     }
 
-    aperture_width.num  = avio_rb32(pb);
-    aperture_width.den  = avio_rb32(pb);
+    aperture_width.num = avio_rb32(pb);
+    aperture_width.den = avio_rb32(pb);
     aperture_height.num = avio_rb32(pb);
     aperture_height.den = avio_rb32(pb);
 
     horiz_off.num = avio_rb32(pb);
     horiz_off.den = avio_rb32(pb);
-    vert_off.num  = avio_rb32(pb);
-    vert_off.den  = avio_rb32(pb);
+    vert_off.num = avio_rb32(pb);
+    vert_off.den = avio_rb32(pb);
 
-    if (aperture_width.num  < 0 || aperture_width.den  < 0 ||
+    if (aperture_width.num < 0 || aperture_width.den < 0 ||
         aperture_height.num < 0 || aperture_height.den < 0 ||
-        horiz_off.den       < 0 || vert_off.den        < 0) {
+        horiz_off.den < 0 || vert_off.den < 0) {
         err = AVERROR_INVALIDDATA;
         goto fail;
     }
-    if ((av_cmp_q((AVRational) { width,  1 }, aperture_width)  < 0) ||
+    if ((av_cmp_q((AVRational) { width, 1 }, aperture_width) < 0) ||
         (av_cmp_q((AVRational) { height, 1 }, aperture_height) < 0)) {
         err = AVERROR_INVALIDDATA;
         goto fail;
     }
     av_log(c->fc, AV_LOG_TRACE, "clap: apertureWidth %d/%d, apertureHeight %d/%d "
-                                "horizOff %d/%d vertOff %d/%d\n",
-           aperture_width.num, aperture_width.den, aperture_height.num, aperture_height.den,
-           horiz_off.num, horiz_off.den, vert_off.num, vert_off.den);
+        "horizOff %d/%d vertOff %d/%d\n",
+        aperture_width.num, aperture_width.den, aperture_height.num, aperture_height.den,
+        horiz_off.num, horiz_off.den, vert_off.num, vert_off.den);
 
-    pc_x   = av_mul_q((AVRational) { width  - 1, 1 }, (AVRational) { 1, 2 });
-    pc_x   = av_add_q(pc_x, horiz_off);
-    pc_y   = av_mul_q((AVRational) { height - 1, 1 }, (AVRational) { 1, 2 });
-    pc_y   = av_add_q(pc_y, vert_off);
+    pc_x = av_mul_q((AVRational) { width - 1, 1 }, (AVRational) { 1, 2 });
+    pc_x = av_add_q(pc_x, horiz_off);
+    pc_y = av_mul_q((AVRational) { height - 1, 1 }, (AVRational) { 1, 2 });
+    pc_y = av_add_q(pc_y, vert_off);
 
-    aperture_width  = av_sub_q(aperture_width,  (AVRational) { 1, 1 });
-    aperture_width  = av_mul_q(aperture_width,  (AVRational) { 1, 2 });
+    aperture_width = av_sub_q(aperture_width, (AVRational) { 1, 1 });
+    aperture_width = av_mul_q(aperture_width, (AVRational) { 1, 2 });
     aperture_height = av_sub_q(aperture_height, (AVRational) { 1, 1 });
     aperture_height = av_mul_q(aperture_height, (AVRational) { 1, 2 });
 
-    left   = av_q2d(av_sub_q(pc_x, aperture_width));
-    right  = av_q2d(av_add_q(pc_x, aperture_width));
-    top    = av_q2d(av_sub_q(pc_y, aperture_height));
+    left = av_q2d(av_sub_q(pc_x, aperture_width));
+    right = av_q2d(av_add_q(pc_x, aperture_width));
+    top = av_q2d(av_sub_q(pc_y, aperture_height));
     bottom = av_q2d(av_add_q(pc_y, aperture_height));
 
     if (bottom > (height - 1) ||
-        right  > (width  - 1)) {
+        right > (width - 1)) {
         err = AVERROR_INVALIDDATA;
         goto fail;
     }
 
     bottom = height - 1 - bottom;
-    right  = width  - 1 - right;
+    right = width - 1 - right;
 
     if (!(left | right | top | bottom))
         return 0;
@@ -1357,15 +1335,15 @@ static int mov_read_clap(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     }
 
     sd = av_packet_side_data_new(&st->codecpar->coded_side_data,
-                                 &st->codecpar->nb_coded_side_data,
-                                 AV_PKT_DATA_FRAME_CROPPING,
-                                 sizeof(uint32_t) * 4, 0);
+        &st->codecpar->nb_coded_side_data,
+        AV_PKT_DATA_FRAME_CROPPING,
+        sizeof(uint32_t) * 4, 0);
     if (!sd)
         return AVERROR(ENOMEM);
 
-    AV_WL32A(sd->data,      top);
-    AV_WL32A(sd->data + 4,  bottom);
-    AV_WL32A(sd->data + 8,  left);
+    AV_WL32A(sd->data, top);
+    AV_WL32A(sd->data + 4, bottom);
+    AV_WL32A(sd->data + 8, left);
     AV_WL32A(sd->data + 12, right);
 
 fail:
@@ -1380,16 +1358,16 @@ fail:
 }
 
 /* This atom overrides any previously set aspect ratio */
-static int mov_read_pasp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_pasp(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     const int num = avio_rb32(pb);
     const int den = avio_rb32(pb);
-    AVStream *st;
-    MOVStreamContext *sc;
+    AVStream* st;
+    MOVStreamContext* sc;
 
     if (c->fc->nb_streams < 1)
         return 0;
-    st = c->fc->streams[c->fc->nb_streams-1];
+    st = c->fc->streams[c->fc->nb_streams - 1];
     sc = st->priv_data;
 
     av_log(c->fc, AV_LOG_TRACE, "pasp: hSpacing %d, vSpacing %d\n", num, den);
@@ -1402,17 +1380,17 @@ static int mov_read_pasp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 }
 
 /* this atom contains actual media data */
-static int mov_read_mdat(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_mdat(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     if (atom.size == 0) /* wrong one (MP4) */
         return 0;
-    c->found_mdat=1;
+    c->found_mdat = 1;
     return 0; /* now go for moov */
 }
 
 #define DRM_BLOB_SIZE 56
 
-static int mov_read_adrm(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_adrm(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     uint8_t intermediate_key[20];
     uint8_t intermediate_iv[20];
@@ -1421,11 +1399,11 @@ static int mov_read_adrm(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     uint8_t file_checksum[20];
     uint8_t calculated_checksum[20];
     char checksum_string[2 * sizeof(file_checksum) + 1];
-    struct AVSHA *sha;
+    struct AVSHA* sha;
     int i;
     int ret = 0;
-    uint8_t *activation_bytes = c->activation_bytes;
-    uint8_t *fixed_key = c->audible_fixed_key;
+    uint8_t* activation_bytes = c->activation_bytes;
+    uint8_t* fixed_key = c->audible_fixed_key;
 
     c->aax_mode = 1;
 
@@ -1513,7 +1491,7 @@ fail:
     return ret;
 }
 
-static int mov_aaxc_crypto(MOVContext *c)
+static int mov_aaxc_crypto(MOVContext* c)
 {
     if (c->audible_key_size != 16) {
         av_log(c->fc, AV_LOG_FATAL, "[aaxc] audible_key value needs to be 16 bytes!\n");
@@ -1538,7 +1516,7 @@ static int mov_aaxc_crypto(MOVContext *c)
 }
 
 // Audible AAX (and AAX+) bytestream decryption
-static int aax_filter(uint8_t *input, int size, MOVContext *c)
+static int aax_filter(uint8_t* input, int size, MOVContext* c)
 {
     int blocks = 0;
     unsigned char iv[16];
@@ -1552,12 +1530,12 @@ static int aax_filter(uint8_t *input, int size, MOVContext *c)
 }
 
 /* read major brand, minor version and compatible brands and store them as metadata */
-static int mov_read_ftyp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_ftyp(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     uint32_t minor_ver;
     int comp_brand_size;
     char* comp_brands_str;
-    uint8_t type[5] = {0};
+    uint8_t type[5] = { 0 };
     int ret = ffio_read_size(pb, type, 4);
     if (ret < 0)
         return ret;
@@ -1570,7 +1548,7 @@ static int mov_read_ftyp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 
     if (strcmp(type, "qt  "))
         c->isom = 1;
-    av_log(c->fc, AV_LOG_DEBUG, "ISO: File Type Major Brand: %.4s\n",(char *)&type);
+    av_log(c->fc, AV_LOG_DEBUG, "ISO: File Type Major Brand: %.4s\n", (char*)&type);
     av_dict_set(&c->fc->metadata, "major_brand", type, 0);
     minor_ver = avio_rb32(pb); /* minor version */
     av_dict_set_int(&c->fc->metadata, "minor_version", minor_ver, 0);
@@ -1589,7 +1567,7 @@ static int mov_read_ftyp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
     }
     comp_brands_str[comp_brand_size] = 0;
     av_dict_set(&c->fc->metadata, "compatible_brands",
-                comp_brands_str, AV_DICT_DONT_STRDUP_VAL);
+        comp_brands_str, AV_DICT_DONT_STRDUP_VAL);
 
     // Logic for handling Audible's .aaxc files
     if (!strcmp(type, "aaxc")) {
@@ -1600,7 +1578,7 @@ static int mov_read_ftyp(MOVContext *c, AVIOContext *pb, MOVAtom atom)
 }
 
 /* this atom should contain all header atoms */
-static int mov_read_moov(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_moov(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     int ret;
 
@@ -1614,17 +1592,17 @@ static int mov_read_moov(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         return ret;
     /* we parsed the 'moov' atom, we can terminate the parsing as soon as we find the 'mdat' */
     /* so we don't parse the whole file if over a network */
-    c->found_moov=1;
+    c->found_moov = 1;
     return 0; /* now go for mdat */
 }
 
-static MOVFragmentStreamInfo * get_frag_stream_info(
-    MOVFragmentIndex *frag_index,
+static MOVFragmentStreamInfo* get_frag_stream_info(
+    MOVFragmentIndex* frag_index,
     int index,
     int id)
 {
     int i;
-    MOVFragmentIndexItem * item;
+    MOVFragmentIndexItem* item;
 
     if (index < 0 || index >= frag_index->nb_items)
         return NULL;
@@ -1637,10 +1615,10 @@ static MOVFragmentStreamInfo * get_frag_stream_info(
     return NULL;
 }
 
-static void set_frag_stream(MOVFragmentIndex *frag_index, int id)
+static void set_frag_stream(MOVFragmentIndex* frag_index, int id)
 {
     int i;
-    MOVFragmentIndexItem * item;
+    MOVFragmentIndexItem* item;
 
     if (frag_index->current < 0 ||
         frag_index->current >= frag_index->nb_items)
@@ -1657,10 +1635,10 @@ static void set_frag_stream(MOVFragmentIndex *frag_index, int id)
     item->current = -1;
 }
 
-static MOVFragmentStreamInfo * get_current_frag_stream_info(
-    MOVFragmentIndex *frag_index)
+static MOVFragmentStreamInfo* get_current_frag_stream_info(
+    MOVFragmentIndex* frag_index)
 {
-    MOVFragmentIndexItem *item;
+    MOVFragmentIndexItem* item;
     if (frag_index->current < 0 ||
         frag_index->current >= frag_index->nb_items)
         return NULL;
@@ -1673,7 +1651,7 @@ static MOVFragmentStreamInfo * get_current_frag_stream_info(
     return NULL;
 }
 
-static int search_frag_moof_offset(MOVFragmentIndex *frag_index, int64_t offset)
+static int search_frag_moof_offset(MOVFragmentIndex* frag_index, int64_t offset)
 {
     int a, b, m;
     int64_t moof_offset;
@@ -1697,7 +1675,7 @@ static int search_frag_moof_offset(MOVFragmentIndex *frag_index, int64_t offset)
     return b;
 }
 
-static int64_t get_stream_info_time(MOVFragmentStreamInfo * frag_stream_info)
+static int64_t get_stream_info_time(MOVFragmentStreamInfo* frag_stream_info)
 {
     av_assert0(frag_stream_info);
     if (frag_stream_info->sidx_pts != AV_NOPTS_VALUE)
@@ -1707,11 +1685,11 @@ static int64_t get_stream_info_time(MOVFragmentStreamInfo * frag_stream_info)
     return frag_stream_info->tfdt_dts;
 }
 
-static int64_t get_frag_time(AVFormatContext *s, AVStream *dst_st,
-                             MOVFragmentIndex *frag_index, int index)
+static int64_t get_frag_time(AVFormatContext* s, AVStream* dst_st,
+    MOVFragmentIndex* frag_index, int index)
 {
-    MOVFragmentStreamInfo * frag_stream_info;
-    MOVStreamContext *sc = dst_st->priv_data;
+    MOVFragmentStreamInfo* frag_stream_info;
+    MOVStreamContext* sc = dst_st->priv_data;
     int64_t timestamp;
     int i, j;
 
@@ -1729,10 +1707,10 @@ static int64_t get_frag_time(AVFormatContext *s, AVStream *dst_st,
     }
 
     for (i = 0; i < frag_index->item[index].nb_stream_info; i++) {
-        AVStream *frag_stream = NULL;
+        AVStream* frag_stream = NULL;
         frag_stream_info = &frag_index->item[index].stream_info[i];
         for (j = 0; j < s->nb_streams; j++) {
-            MOVStreamContext *sc2 = s->streams[j]->priv_data;
+            MOVStreamContext* sc2 = s->streams[j]->priv_data;
             if (sc2->id == frag_stream_info->id)
                 frag_stream = s->streams[j];
         }
@@ -1747,8 +1725,8 @@ static int64_t get_frag_time(AVFormatContext *s, AVStream *dst_st,
     return AV_NOPTS_VALUE;
 }
 
-static int search_frag_timestamp(AVFormatContext *s, MOVFragmentIndex *frag_index,
-                                 AVStream *st, int64_t timestamp)
+static int search_frag_timestamp(AVFormatContext* s, MOVFragmentIndex* frag_index,
+    AVStream* st, int64_t timestamp)
 {
     int a, b, m, m0;
     int64_t frag_time;
@@ -1760,7 +1738,7 @@ static int search_frag_timestamp(AVFormatContext *s, MOVFragmentIndex *frag_inde
         m0 = m = (a + b) >> 1;
 
         while (m < b &&
-               (frag_time = get_frag_time(s, st, frag_index, m)) == AV_NOPTS_VALUE)
+            (frag_time = get_frag_time(s, st, frag_index, m)) == AV_NOPTS_VALUE)
             m++;
 
         if (m < b && frag_time <= timestamp)
@@ -1772,11 +1750,11 @@ static int search_frag_timestamp(AVFormatContext *s, MOVFragmentIndex *frag_inde
     return a;
 }
 
-static int update_frag_index(MOVContext *c, int64_t offset)
+static int update_frag_index(MOVContext* c, int64_t offset)
 {
     int index, i;
-    MOVFragmentIndexItem * item;
-    MOVFragmentStreamInfo * frag_stream_info;
+    MOVFragmentIndexItem* item;
+    MOVFragmentStreamInfo* frag_stream_info;
 
     // If moof_offset already exists in frag_index, return index to it
     index = search_frag_moof_offset(&c->frag_index, offset);
@@ -1787,21 +1765,21 @@ static int update_frag_index(MOVContext *c, int64_t offset)
     // offset is not yet in frag index.
     // Insert new item at index (sorted by moof offset)
     item = av_fast_realloc(c->frag_index.item,
-                           &c->frag_index.allocated_size,
-                           (c->frag_index.nb_items + 1) *
-                           sizeof(*c->frag_index.item));
+        &c->frag_index.allocated_size,
+        (c->frag_index.nb_items + 1) *
+        sizeof(*c->frag_index.item));
     if (!item)
         return -1;
     c->frag_index.item = item;
 
     frag_stream_info = av_realloc_array(NULL, c->fc->nb_streams,
-                                        sizeof(*item->stream_info));
+        sizeof(*item->stream_info));
     if (!frag_stream_info)
         return -1;
 
     for (i = 0; i < c->fc->nb_streams; i++) {
         // Avoid building frag index if streams lack track id.
-        MOVStreamContext *sc = c->fc->streams[i]->priv_data;
+        MOVStreamContext* sc = c->fc->streams[i]->priv_data;
         if (sc->id < 0) {
             av_free(frag_stream_info);
             return AVERROR_INVALIDDATA;
@@ -1820,7 +1798,7 @@ static int update_frag_index(MOVContext *c, int64_t offset)
 
     if (index < c->frag_index.nb_items)
         memmove(c->frag_index.item + index + 1, c->frag_index.item + index,
-                (c->frag_index.nb_items - index) * sizeof(*c->frag_index.item));
+            (c->frag_index.nb_items - index) * sizeof(*c->frag_index.item));
 
     item = &c->frag_index.item[index];
     item->headers_read = 0;
@@ -1833,11 +1811,11 @@ static int update_frag_index(MOVContext *c, int64_t offset)
     return index;
 }
 
-static void fix_frag_index_entries(MOVFragmentIndex *frag_index, int index,
-                                   int id, int entries)
+static void fix_frag_index_entries(MOVFragmentIndex* frag_index, int index,
+    int id, int entries)
 {
     int i;
-    MOVFragmentStreamInfo * frag_stream_info;
+    MOVFragmentStreamInfo* frag_stream_info;
 
     if (index < 0)
         return;
@@ -1848,7 +1826,7 @@ static void fix_frag_index_entries(MOVFragmentIndex *frag_index, int index,
     }
 }
 
-static int mov_read_moof(MOVContext *c, AVIOContext *pb, MOVAtom atom)
+static int mov_read_moof(MOVContext* c, AVIOContext* pb, MOVAtom atom)
 {
     // Set by mov_read_tfhd(). mov_read_trun() will reject files missing tfhd.
     c->fragment.found_tfhd = 0;
@@ -1858,14 +1836,15 @@ static int mov_read_moof(MOVContext *c, AVIOContext *pb, MOVAtom atom)
         if (pb->seekable & AVIO_SEEKABLE_NORMAL) {
             int ret;
             av_log(c->fc, AV_LOG_VERBOSE, "stream has moof boxes, will look "
-                    "for a mfra\n");
+                "for a mfra\n");
             if ((ret = mov_read_mfra(c, pb)) < 0) {
                 av_log(c->fc, AV_LOG_VERBOSE, "found a moof box but failed to "
-                        "read the mfra (may be a live ismv)\n");
+                    "read the mfra (may be a live ismv)\n");
             }
-        } else {
+        }
+        else {
             av_log(c->fc, AV_LOG_VERBOSE, "found a moof box but stream is not "
-                    "seekable, can not look for mfra\n");
+                "seekable, can not look for mfra\n");
         }
     }
     c->fragment.moof_offset = c->fragment.implicit_offset = avio_tell(pb) - 8;
